Companies

Companies in Business Central

Companies in Business Central are data containers that keep business data isolated within the same database. Each company has its own set of data tables.

API Usage

All API calls must specify the company except for the list-companies endpoint.

List Companies

Get a list of all companies available in the selected environment:

GET https://api.npretail.app/tenant/environment/companies
This endpoint is an exception in terms of routing, as it does not use the global path segment named company.

Get Current Company

Read the details of the company addressed by the company path segment — its name, local currency and country — sourced from Business Central as the single source of truth:

GET https://api.npretail.app/tenant/environment/company/company

The currencyCode (ISO 4217) comes from the General Ledger Setup and the countryCode (ISO 3166) from the Company Information; either is null when it is not configured in Business Central.